Page MenuHomePhabricator

Create labs views for GlobalPrefs table
Closed, ResolvedPublic

Description

Patch - https://gerrit.wikimedia.org/r/#/c/403833/

Blocker to deploying GlobalPrefs according to T184666#3894375

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2018, 11:49 PM
bd808 closed this task as Resolved.Mar 21 2018, 12:29 AM
$ sudo maintain-views --table global_preferences --database centralauth
$ sql centralauth
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 19911206
Server version: 10.1.31-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

(u3518@centralauth.analytics.db.svc.eqiad.wmflabs) [centralauth_p]> describe global_preferences;
+-------------+------------------+------+-----+---------+-------+
| Field       | Type             | Null | Key | Default | Extra |
+-------------+------------------+------+-----+---------+-------+
| gp_user     | int(10) unsigned | NO   |     | NULL    |       |
| gp_property | varbinary(255)   | NO   |     | NULL    |       |
| gp_value    | blob             | YES  |     | NULL    |       |
+-------------+------------------+------+-----+---------+-------+
3 rows in set (0.00 sec)

(u3518@centralauth.analytics.db.svc.eqiad.wmflabs) [centralauth_p]> select * from global_preferences limit 10\G
*************************** 1. row ***************************
    gp_user: 511
gp_property: gender
   gp_value: male
1 row in set (0.00 sec)

(u3518@centralauth.analytics.db.svc.eqiad.wmflabs) [centralauth_p]>
bd808 moved this task from Inbox to Done on the cloud-services-team (Kanban) board.May 6 2018, 6:47 PM